'use strict';

/**
 * Validation for Textarea Input Plugin
 *
 * @param {Object} input - inputs in this plugin's instance and their values as {String}
 * @param {Object} input.target - the triggering input's name and value as {String}
 * @param {String} input.target.name - the triggering input's name
 * @param {String|Bool} input.target.value - the triggering input's value
 * @param {Object} input.all - all inputs in this plugin's instance
 * @param {String|Bool} input.all.textarea - value of input textarea
 * @param {Object} [settings] - settings for this input plugin instance
 * @param {Object} [settings.target] - the triggering input's settings as an {Object}
 * @param {Object} [settings.all] - all settings in this plugin instance as an {Object}
 * @param {Object} [settings.all.textarea] - settings of input textarea {Object}
 *
 * @returns {Bool|String} true or a string with the text describing the error
 *
 * @module textareaValidation
 */

module.exports = function textareaValidation() {
  return true;
};
